<!doctype html>
<html lang="en">
   <head>
      <!-- Required meta tags -->
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

      <!-- Bootstrap CSS -->
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

      <title>Simple Upload Form</title>
   </head>
   <body>
      <div class="row  justify-content-center">
         <div class="card" style="width: 100%;">
            <div class="card-header">
               <h5 class="card-body"> Simple Upload Form </h5>
            </div>
            <div class="card-body">
               <form class="was-validated" enctype="multipart/form-data" method="POST" action="/api/v2210/form-create-vc">
                  <div class="mb-3">
                     <label for="participant">Participant Name</label>
                     <input type="text" class="form-control" name="participant" id="participant" placeholder="dufourstorage" required>
                     <div class="invalid-feedback">Please enter a name</div>
                  </div>
                  
                  <div class="mb-3">
                     <label for="questionnaire"> Questionnaire Json Object (array) </label>
                     <textarea class="form-control" name="questionnaire" id="questionnaire" rows="65"></textarea>
                     <div class="invalid-feedback">Invalid Json</div>
                  </div>

                  <div class="mb-3">
                     <label for="locatedServiceOffering"> LocatedServiceOffering Json Object </label>
                     <textarea class="form-control" name="locatedServiceOffering" id="locatedServiceOffering" rows="65"></textarea>
                     <div class="invalid-feedback">Invalid Json</div>
                  </div>

                  <div class="mb-3">
                     <!--<button type="submit" class="btn btn-primary">Form Submit</button>-->
                     <button type="button" id="sendButton" class="btn btn-primary">API Submit</button>
                  </div>

                  <div class="mb-3">
                     <pre id="success" style="background-color:green;"></pre>
                     <pre id="error" style="background-color:red;"></pre>
                     <p id="b64file" hidden></p>
                  </div>
               </form>
            </div>
         </div>
      </div>
   
      <!-- jQuery first, then Popper.js, then Bootstrap JS -->
      <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
      <script>
         var questionnaire = [
               {
                  "name": "Criterion 1.1.1",
                  "description": "The provider shall offer the ability to establish a legally binding act. This legally binding act shall be documented",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/b272ac3eba05f1b37802818a46eff6b6c5edb34df2dfa54430519752d5aafa63/data.json, did:web:gaia-x.community/compliance-criterion/99127352038197c80d2a2dd8a79b3ea576a71904b4e14a2a1cbee311dade8f72/data.json, did:web:gaia-x.community/compliance-criterion/b628c61b61bf5ea54c76d97913f30a7b249cac68df2ccc428593838cc4ddebe8/data.json"
               },
               {
                  "name": "Criterion 1.1.2",
                  "description": "The provider shall have an option for each legally binding act to be governed by EU/EEA/Member State law",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/ea307320071d2c97ba1fc264ac2b57fd571a30fd4bc08b85139ca3256a726b97/data.json, did:web:gaia-x.community/compliance-criterion/996d747c5c86cdda911eb524b584e4609262787ca202a2aca9e56b6ebe6fd9ef/data.json, did:web:gaia-x.community/compliance-criterion/7f8531d43f662c8340090b817e40d1c37f5ea99781fc7ac3dc970937ab6f752a/data.json"
               },
               {
                  "name": "Criterion 1.1.3",
                  "description": "The provider shall clearly identify for which parties the legal act is binding",
                  "category": "Contractual governance",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/2ee23dc8f147f6e8e5707f92161b2695d25c2571af06f832d55eb3dcd01109ca/data.json, did:web:gaia-x.community/compliance-criterion/24339da30191ca31a0b505570119f50acb3567c4083cc98762c3375575589516/data.json, did:web:gaia-x.community/compliance-criterion/a5ad1d8a9f50565e6bb1ead2dd35414930aff9b601423625ef88db452ccb1c46/data.json"
               },
               {
                  "name": "Criterion 1.1.4",
                  "description": "The provider shall ensure that the legally binding act covers the entire provision of the service offering",
                  "category": "Contractual governance",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/362213edf62b155d61e6d72c0dde5d7a01b982218eb5a2b00e7b1bb6015dee98/data.json, did:web:gaia-x.community/compliance-criterion/60fa3eb419b59b4a268f23f3a91edc6531cb6bf27271040c4071b006dc381add/data.json, did:web:gaia-x.community/compliance-criterion/5ed119518c1238b9e1c02f3710fc70aba5407106a8738be9b731eb009493187d/data.json"
               },
               {
                  "name": "Criterion 1.2.1",
                  "description": "The provider shall ensure there are specific provisions regarding service interruptions and business continuity (e.g., by means of a service level agreement), provider's bankruptcy or any other reason by which the provider may cease to exist in law",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/66d463e6c7a02f666ec1676401ce9cedac39dd6c06dd445f683416dbd746dd24/data.json, did:web:gaia-x.community/compliance-criterion/12786499ea0ca33604e67162e258437c6e3e46dc2054ffe87db6578b8956d029/data.json, did:web:gaia-x.community/compliance-criterion/1f2872e3642e6d616bf6af0a3f4c14ef6ca6111e6854184cfbf3cb4ef88a15d5/data.json"
               },
               {
                  "name": "Criterion 1.2.2",
                  "description": "The provider shall ensure there are provisions governing the rights of the parties to use the service and any data therein",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/c202543b66439f16590c370bc59d1177929720aceb534773a4c4cef4068d57e6/data.json, did:web:gaia-x.community/compliance-criterion/1df51e3055940bad2b48205d85db6fc7968af811ce74a9383a99dd9bef548340/data.json, did:web:gaia-x.community/compliance-criterion/d36f07d0d2cab49f3f65ae073a2188825701cfdac3474cf29178a3b9aaf33aa2/data.json"
               },
               {
                  "name": "Criterion 1.2.3",
                  "description": "The provider shall ensure there are provisions governing changes, regardless of their kind",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/d1036d31edf088614132cc92334be0f6a8d274135e1dd140d20984a3735c26c6/data.json, did:web:gaia-x.community/compliance-criterion/c754817b22a03a60efc60569ef8cf483fbf0df402d1f72c863967ab393e9b3af/data.json, did:web:gaia-x.community/compliance-criterion/14cc656193a13059ce8f396e8390363e2a06e80782fd9c9920ad8a990eae6572/data.json"
               },
               {
                  "name": "Criterion 1.2.4",
                  "description": "The provider shall ensure there are provisions governing aspects regarding copyright or any other intellectual property rights",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/10e1999e6107d991f3251a57252ca95b7564d7817f34ffcdb2520a1939746749/data.json, did:web:gaia-x.community/compliance-criterion/f9e29c6c6df88fc8e9919e7ff519eb3b1672e0518f78184fe7e9a9bfc4517520/data.json, did:web:gaia-x.community/compliance-criterion/62118daa66dec6045b47734998f44ef24f2962683ebc9a481d5ce9669071f38c/data.json"
               },
               {
                  "name": "Criterion 1.2.5",
                  "description": "The provider shall declare the general location of physicals Resources at urban area level.",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/48d3882796b0aea8e795a8166c2474596c8a1508db300629ed2f74183dd54f3c/data.json, did:web:gaia-x.community/compliance-criterion/fe75fa286fc83bd1a50514d1edbf2d3b6e98e1b071f53ee8e8f918dfb1a05960/data.json, did:web:gaia-x.community/compliance-criterion/3cb671f9bb51069b27ff31208025553f6386e7d37a7429dd058a9b5924fe64fc/data.json"
               },
               {
                  "name": "Criterion 1.2.6",
                  "description": "The provider shall explain how information about subcontractors and related data localisation will be communicated",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/06c2146bab4a4f6855c1937a6b3dfc7e3624801c34885fe65194687eeb39597c/data.json, did:web:gaia-x.community/compliance-criterion/b35a4475d047e9543ce235c43ab3ea819376ee344d8f6d03cead909b9e40c7ae/data.json, did:web:gaia-x.community/compliance-criterion/958b517ec144386f06c238dfafa801a4e719807da0a261ecdb1546cd1246a16c/data.json"
               },
               {
                  "name": "Criterion 1.2.7",
                  "description": "The provider shall communicate to the customer where the applicable jurisdiction(s) of subcontractors will be",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/5c6c37938ccec54ddbe569d1e429658d7c3a86b3cb91f5d7b9fa81b61efe6eba/data.json, did:web:gaia-x.community/compliance-criterion/a664a263aca29c6562667950df49efac86ea9fa3d054fbd358699033c62d94ab/data.json, did:web:gaia-x.community/compliance-criterion/4198adc5ab6c60d67a4ea370be38d1bd650b442b2a8e04b462fe0f1f30230d73/data.json"
               },
               {
                  "name": "Criterion 1.2.8",
                  "description": "The provider shall include in the contract the contact details where customer may address any queries regarding the service offering and the contract",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/f87c5f3a48b61698cdfb19f91c328249d93a828b6ad697f9604a9e9c24ae844d/data.json, did:web:gaia-x.community/compliance-criterion/9975196b786b14f3992114e5e1f1cd35befdb5e7fa439e2f94bef927f328ac49/data.json, did:web:gaia-x.community/compliance-criterion/fbedad10c6aedc594f3bb8cfc3f490de451de172b5884e4ac9de239d1cf43da8/data.json"
               },
               {
                  "name": "Criterion 1.2.9",
                  "description": "The provider shall adopt the Gaia-X trust framework, by which customers may verify provid- er’s compliance",
                  "category": "Transparency",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/18e49d1e6c56efb00f43a863c87d147e8598a450a683ab6e0db245b7d4d2af86/data.json, did:web:gaia-x.community/compliance-criterion/87598bf7dd6b23a05698057ab6be23157e8b8d24c7378c6b8d3175c8622a3b88/data.json, did:web:gaia-x.community/compliance-criterion/2624253d7a529bf985b7b3a35f95719f319b220fa76c3f06533162f3743f8b6b/data.json"
               },
               {
                  "name": "Criterion 5.1.1",
                  "description": "For label level 2, the provider shall provide the option that all data are processed and stored exclusively in EU/EEA",
                  "category": "European Control",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/057d78ac024071781452c5552f709c64583ece6ae21333fafc5546dca5feb0ca/data.json"
               },
               {
                  "name": "Criterion 5.1.2",
                  "description": "For label level 3, the provider shall process and store all data exclusively in the EU/EEA.",
                  "category": "European Control",
                  "value": true,
                  "id": "did:web:gaia-x.community/compliance-criterion/31b0d860ba42eb0d3811513412b9a8d75193e7da6055a35674f07ef76670b491/data.json"
               },
               {
                  "name": "Criterion 5.1.3",
                  "description": "For label level 3, where the provider or subcontractor is subject to legal obligations to transmit or disclose data based on a non-EU/EEA statutory order, the provider shall have verified safeguards in place to ensure that any access request is compliant with EU/EEA/Member State law",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/301d3ef6cd17e485bcd950d77455be7b0a7076b3a3a5003cda456b6ebe7f00bb/data.json"
               },
               {
                  "name": "Criterion 5.1.4",
                  "description": "For label level 3, the provider’s registered head office, headquarters and main establishment shall be established in a member state of the EU/EEA",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/3a9e318924dffa2e95ec12963d0115c561573e58ab014e23b3c7b4d1de3405dc/data.json"
               },
               {
                  "name": "Criterion 5.1.5",
                  "description": "For label level 3, shareholders in the provider, whose registered head office, headquarters, and main establishment are not established in a member state of the EU shall not, directly, or indirectly, individually, or jointly, hold control of the CSP. Control is defined as the ability of a natural or legal person to exercise decisive influence directly or indirectly on the CSP through one or more intermediate entities, de jure or de facto. (cf. Council Regulation No 139/2004 and Commission Consolidated Jurisdictional Notice under Council Regulation (EC) No 139/2004 for illustrations of decisive control)",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/59c43276362d0fdb8595843d908e836cf014d5b6cf7f5b6e741328a0d4f6c280/data.json"
               },
               {
                  "name": "Criterion 5.1.6",
                  "description": "For label level 3, in the event of recourse by the provider, in the context of the services provided to the customer, to the services of a third-party company - including a subcontractor - whose registered head office, headquarters and main establishment is outside of the European Union or who is owned or controlled directly or indirectly by another third-party company registered outside the EU/EEA, the third-party company shall have no access over the customer data nor access and identity management for the services provided to the customer. The provider, including any of its sub-processor, shall push back any request received from non-european authorities to obtain communication of personal data relating to european customers, except if request is made in execution of a court judgment or order that is valid and compliant under Union law and applicable member states law as provided by Article 48 GDPR",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/abb28b4f3ef86433943e9e97db86bd16bf37b22ad678ca87e1d1b35ff4bb53b3/data.json"
               },
               {
                  "name": "Criterion 5.1.7",
                  "description": "For label level 3, the provider must guarantee continuous autonomy for all or part of the services it provides. The concept of operating autonomy shall be understood as the ability to maintain the provision of the cloud computing service by drawing on the provider’s own skills or by using adequate alternatives",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/1a0000d94363c35c14b55fa634781d2d291e0c8ff1cf136ecfc349f555eaa9d9/data.json"
               },
               {
                  "name": "Criterion 5.2.1",
                  "description": "The provider shall not access customer data unless authorised by the customer or when the access is in accordance with EU/EEA/member state law",
                  "category": "European Control",
                  "value": false,
                  "id": "did:web:gaia-x.community/compliance-criterion/bc3a08b25f3e84f6e0bbc06e03b038cc04c9d3eee2a654d956e98f6360e6baa0/data.json, did:web:gaia-x.community/compliance-criterion/0abfed593985167c613f6974a89dc6fdaadfd58e4711cf5c0124d9ee02916597/data.json, did:web:gaia-x.community/compliance-criterion/6816bd4184b995b873719c9bebecc475899289436908181d9c926e6f8458a553/data.json"
               }
         ];
         document.getElementById('questionnaire').innerHTML = JSON.stringify(questionnaire, undefined, 4);
         document.getElementById('participant').value = 'dufourstorage';
         document.getElementById('locatedServiceOffering').value = 'Copy / Paste result from upload_2 !';
         
         document.getElementById('sendButton').addEventListener("click", function(e) {
            document.getElementById('error').innerText = "";
            document.getElementById('success').innerText = "Waiting for the notarization...";

            e.preventDefault();
            $.ajax({
               type: "POST",
               url: "/api/v2210/create-vp",
               contentType: "application/json; charset=utf-8",
               data: JSON.stringify({ 
                  "participant": document.getElementById('participant').value,
                  "locatedServiceOffering": JSON.parse(document.getElementById('locatedServiceOffering').value),
                  "questionnaire": JSON.parse(document.getElementById('questionnaire').value)
               }),
               success: function(result) {
                  console.log(result);
                  var txt = JSON.stringify(result, null, 2);
                  document.getElementById('error').innerText = "";
                  document.getElementById('success').innerText = txt;
               },
               error: function(result) {
                  console.log(result);
                  var txt = JSON.stringify(result, null, 2);
                  document.getElementById('success').innerText = "";
                  document.getElementById('error').innerText = txt;
               }
            });
         });
      </script>
   </body>
</html>